Loading...
Searching...
No Matches
Opm::Fieldprops::keywords::keyword_info< T > Struct Template Reference

## Public Member Functions

bool | operator== (const keyword_info &other) const
keyword_info< T > & | init (T init_value)
keyword_info< T > & | unit_string (const std::string &unit_string)
keyword_info< T > & | distribute_top (bool dtop)
keyword_info< T > & | mult (bool m)
keyword_info< T > & | global_kw (bool g)
keyword_info< T > & | global_kw_until_edit ()
const keyword_info< T > & | num_value_per_cell (const std::size_t n) const

## Public Attributes

std::optional< std::string > | unit = std::nullopt
std::optional< T > | scalar_init = std::nullopt
bool | multiplier = false
bool | top = false
bool | global = false
| Whether a keyword is global.
bool | local_in_schedule = true
| Supply global storage but remove it once the SCHEDULE is executed.
std::size_t | num_value = 1

## Member Data Documentation

## global

template<typename T>

bool Opm::Fieldprops::keywords::keyword_info< T >::global = false

Whether a keyword is global.

This might hold throughout the simulation or only during the setup phase until the CpGrid is prepared

## local_in_schedule

template<typename T>

bool Opm::Fieldprops::keywords::keyword_info< T >::local_in_schedule = true

Supply global storage but remove it once the SCHEDULE is executed.

Needed to get rid of global storage for keywords needed for PINCH

The documentation for this struct was generated from the following file:

- opm/input/eclipse/EclipseState/Grid/Keywords.hpp